%global debug_package %{nil}
%global pypi_name qtile-extras
%global pypi_version 0.32.0
%global toolchain clang

Name:           %{pypi_name}
Version:        %{pypi_version}
Release:        %autorelease
Summary:        Extra items for qtile that are unlikely to be maintained in the main repo.

License:        MIT
URL:            https://github.com/elParaguayo/qtile-extras
Source0:        %{pypi_source}#/qtile_extras-%{pypi_version}.tar.gz

BuildArch:      noarch
BuildRequires:  clang
BuildRequires:  pkgconfig(python3)
BuildRequires:  python3dist(pip)
BuildRequires:  python3dist(setuptools)
BuildRequires:  python3dist(setuptools-scm)
BuildRequires:  python3dist(wheel)

%global _description %{expand:
A Python library that contains various components and configurations developed
for use with Qtile. These items are primarily intended for personal use and may
not be suitable for inclusion in the main Qtile project. While others are
welcome to use and adapt them, results may vary depending on the environment
and setup.}

%description %_description


%prep
%autosetup -p1 -n qtile_extras-%{pypi_version}
# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info
# Remove the specific license-files line
sed -i '/^license-files = \[ "LICENSE" \]$/d' pyproject.toml
# Replace the MIT license with file-based syntax
sed -i 's/license = "MIT"/license = {file = "LICENSE"}/' pyproject.toml


%generate_buildrequires
%pyproject_buildrequires


%build
%pyproject_wheel


%install
%pyproject_install
%pyproject_save_files -l qtile_extras


%files -f %{pyproject_files}
%doc CHANGELOG README.md


%changelog
* Sat Jul 05 2025 David Andres Ramirez Salomon <david35mm@disroot.org> - 0.32.0-1
- Initial package.
